package vc.thinker.absctacts.protocolproxy.protocol;

import vc.thinker.absctacts.protocolproxy.dto.MeterInfo;

import java.util.concurrent.TimeoutException;

/**
 * 第三方协议
 * 支持同步仪表信息,让代理及时更新需要采集的仪表列表
 *
 * @author HeTongHao
 * @since 2022/8/19 16:20
 */
public interface IThirdPartyProtocolSyncMeterInfo extends IThirdPartyProtocol {
    /**
     * 拉取仪表列表
     *
     * @return 仪表列表
     * @throws TimeoutException 拉取超时
     */
    boolean pullMeterList() throws TimeoutException;

    /**
     * 更新仪表
     *
     * @param meterInfo 设备信息
     */
    void putMeter(MeterInfo meterInfo);

    /**
     * 删除仪表
     *
     * @param id 设备唯一id
     */
    void deleteMeter(String id);
}
